be.fgov.ehealth.ehbox.publication.protocol.v3

## Class DestinationContextType

- java.lang.Object
- - be.fgov.ehealth.commons.core.v1.IdentifierType
  - - be.fgov.ehealth.ehbox.core.v3.EhboxIdentifierType
    - - be.fgov.ehealth.ehbox.publication.protocol.v3.DestinationContextType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:30:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class DestinationContextType
      extends EhboxIdentifierType
      implements Serializable

  Java class for DestinationContextType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DestinationContextType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType">
             <sequence minOccurs="0">
               <element name="Mandate" type="{urn:be:fgov:ehealth:ehbox:core:v3}MandateType" minOccurs="0"/>
               <element name="OoOProcessed" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DestinationContextType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MandateType` | `getMandate()` Gets the value of the mandate property.
    `Boolean` | `isOoOProcessed()` Gets the value of the ooOProcessed property.
    `void` | `setMandate(MandateType value)` Sets the value of the mandate property.
    `void` | `setOoOProcessed(Boolean value)` Sets the value of the ooOProcessed property.

    - ### Methods inherited from class be.fgov.ehealth.ehbox.core.v3.EhboxIdentifierType

      `getQuality, getUser, setQuality, setUser`

    - ### Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType

      `getId, getSubType, getType, setId, setSubType, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DestinationContextType

          public DestinationContextType()

  - ### Method Detail

    - #### getMandate

          public MandateType getMandate()

      Gets the value of the mandate property.
      Returns:
        possible object is `MandateType`

    - #### setMandate

          public void setMandate(MandateType value)

      Sets the value of the mandate property.
      Parameters:
        `value` - allowed object is `MandateType`

    - #### isOoOProcessed

          public Boolean isOoOProcessed()

      Gets the value of the ooOProcessed property.
      Returns:
        possible object is `Boolean`

    - #### setOoOProcessed

          public void setOoOProcessed(Boolean value)

      Sets the value of the ooOProcessed property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.